<!DOCTYPE html>
<html>
<title>
    task 5
</title>
<link href="task5.css" rel="stylesheet"/>
<script>
    function arrayMethods() {
        let a = [1, 10, 20, 30, 50];
        for (let i = 0; i < a.length; i++) {
            if (a[i] >= 10) {
                console.log(a[i]);
            } else {
                console.log(a[i] + " less than 10");
            }
        }
    }
    arrayMethods();

    function arrayMethodsContinued() {

        let arr = ["Hello", "there", "How", "are", "You?", "hello", "i am good"];
        let numberArray = [10, 5, 85, 1, 62, 30];
        console.log(numberArray);
        for (let j = 0; j < numberArray.length; j++) {
            if (numberArray[j] >= 5) {
                console.log(numberArray[j] + "+Hello");
            } else {
                console.log(numberArray[j])
            }
            if (numberArray[j] < 5) {
                console.log(numberArray[j]);
            } else {
                console.log("less than five");
            }
        }
    }

    arrayMethodsContinued();
    var array_sum = function (my_array) {
        if (my_array.length === 1) {
            return my_array[0];
        } else {
            return my_array.pop() + array_sum(my_array);
        }
    };

    console.log(array_sum([1, 2, 3, 4, 5, 6]));

    var arr = [4, 12, 3, 80, 0, 22, 56];
    var max = Math.max.apply(null, arr);
    console.log(max);
    var arr = [4, 12, 3, 80, 0, 22, 56];
    var min = Math.min.apply(null, arr);
    console.log(min);
    var nums = [1, 2, 34, 54, 55, 34, 32, 11];
    var evens = [];
    var odds = [];

    var evenNumbers = function (nums) {
        for (var i = 0; i < nums.length; i++) {

            if ((nums[i] % 2) != 1) {
                evens.push(nums[i]);
                console.log(evens);
            } else {
                odds.push(nums[i]);
                console.log(odds);
            }
        }

    }

    evenNumbers(nums);
    alert(evens);
    alert(odds);
</script>

<body>
    <div class="Block">

    </div>
</body>

</html>